%define oname   debugger-linecache

Name:       ruby-%{oname}
Version:    1.2.0
Release:    %mkrel 12
Summary:    Module for reading and caching lines
Group:      Development/Ruby
License:    MIT
URL:        https://nokogiri.org/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildArch:  noarch

%description
Linecache is a module for reading and caching lines. This may be useful for
example in a debugger where the same lines are shown many times.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc README.md CHANGELOG.md


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.2.0-12.mga10
+ Revision: 2210946
- Mageia 10 Mass Rebuild

* Fri Mar 25 2022 umeabot <umeabot> 1.2.0-11.mga9
+ Revision: 1825873
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.2.0-10.mga8
+ Revision: 1499665
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.2.0-9.mga7
+ Revision: 1275119
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.2.0-8.mga6
+ Revision: 943234
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-7.mga5
+ Revision: 742077
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-6.mga5
+ Revision: 688783
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.2.0-5.mga4
+ Revision: 561837
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 1.2.0-4.mga4
+ Revision: 561153
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1.2.0-3.mga4
+ Revision: 535386
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.2.0-2.mga4
+ Revision: 481950
- Rebuild for Ruby 2

* Tue Sep 17 2013 pterjan <pterjan> 1.2.0-1.mga4
+ Revision: 480511
- 1.2.0
- Switch to noarch, native code is gone
- Use gem_setup
- Update file list
+ umeabot <umeabot>
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.1.2-2.mga3
+ Revision: 380802
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 shlomif <shlomif> 1.1.2-1.mga3
+ Revision: 314402
- Add missing BR
- Importing the ruby-debugger-linecache pkg based on Mga ruby-debugger-ruby_core_source

